# subscriptionTrialConvert

Convert an existing trial subscription into a paid subscription

**Scope required:** standard:write

```graphql
mutation subscriptionTrialConvert ($subscriptionId: ID!, $paymentId: ID!, $priceListId: ID!, $priceListCode: String!) {
  subscriptionTrialConvert (subscriptionId: $subscriptionId, paymentId: $paymentId, priceListId: $priceListId, priceListCode: $priceListCode) {
      errors
      invoice {
        accountId
        amount
        amountDue
        amountPaid
        baseCurrencyId
        baseCurrencyTotal
        couponApplied
        createdAt
        credits
        currencyId
        description
        dueAt
        hasPaymentMethod
        id
        internalNotes
        isLegacy
        issuedAt
        kind
        netPaymentDays
        notes
        number
        paidAt
        payableId
        paymentFailedAt
        paymentFailureReason
        poNumber
        portalUrl
        quoteId
        sendInvoiceTo
        smallUnitAmountDue
        subtotal
        taxAmount
        taxRate
        updatedAt
        url
        uuid
      }
      paymentApplications
      subscription {
        accountId
        cancellationDate
        createdAt
        currencyId
        currentPeriod
        customFieldsData
        daysLeftInTrial
        endDate
        evergreen
        hasCustomFields
        id
        licenseKey
        name
        period
        priceAdjustmentAllowed
        priceAdjustmentLastDate
        priceAdjustmentPercentage
        priceListId
        provisioningRequired
        rampIntervalMonths
        renewalSummary
        renewalTermMonths
        startDate
        trialEndDate
        trialPeriod
        trialStartDate
        updatedAt
      }
  }
}
```

## Arguments

```json
{
  "subscriptionId": "456123",
  "paymentId": "456123",
  "priceListId": "456123",
  "priceListCode": ""
}
```

| Name           | Type   | Description |
| -------------- | ------ | ----------- |
| subscriptionId | ID     |             |
| paymentId      | ID     |             |
| priceListId    | ID     |             |
| priceListCode  | String |             |

## Response

| Name                | Type                                                                              | Description |
| ------------------- | --------------------------------------------------------------------------------- | ----------- |
| errors              | List (String)                                                                     |             |
| invoice             | [Invoice](/developer/api-reference/types/invoice.md)                              |             |
| paymentApplications | List ([PaymentApplication](/developer/api-reference/types/paymentapplication.md)) |             |
| subscription        | [Subscription](/developer/api-reference/types/subscription.md)                    |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/subscriptiontrialconvert.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
